Skip to main content
GET
/
api
/
v1
/
workspaces
/
{workspace_id}
/
agents
/
{agent_id}
Get Workspace Agent
curl --request GET \
  --url https://api.usetuner.ai/api/v1/workspaces/{workspace_id}/agents/{agent_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.usetuner.ai/api/v1/workspaces/{workspace_id}/agents/{agent_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.usetuner.ai/api/v1/workspaces/{workspace_id}/agents/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "integration_id": 123,
  "name": "<string>",
  "call_direction": "<string>",
  "remote_identifier": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "lang": "<string>",
  "persona": {
    "language": "<string>",
    "accent": "<string>"
  },
  "prompt": "<string>",
  "workflow": {},
  "webhook_url": "<string>",
  "integration_name": "<string>",
  "deleted_at": "2023-11-07T05:31:56Z",
  "created_by": 123,
  "updated_by": 123,
  "integration": {
    "id": 123,
    "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "workspace_id": 123,
    "provider_id": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "api_key": "<string>",
    "deleted_at": "2023-11-07T05:31:56Z",
    "created_by": 123,
    "updated_by": 123,
    "provider": {
      "id": 123,
      "name": "<string>"
    }
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Use Tuner API key (tr_api_...) or user session token. Find your API key in Workspace Settings > API Keys.

Path Parameters

agent_id
integer
required
workspace_id
integer
required

Response

Successful Response

Agent schema for API responses with nested relationships.

id
integer
required

Tuner's internal numeric ID for this agent.

integration_id
integer
required

ID of the voice provider integration this agent uses.

name
string
required

Display name of the agent.

call_direction
string
required

'inbound' for customer-initiated calls, 'outbound' for agent-initiated calls.

remote_identifier
string
required

Your voice provider's unique identifier for this agent.

created_at
string<date-time>
required

ISO 8601 timestamp when the agent was created.

updated_at
string<date-time>
required

ISO 8601 timestamp when the agent was last updated.

description
string | null

Brief description of what this agent does.

lang
string | null

BCP 47 language tag for the agent's primary language (e.g., 'en', 'es').

persona
AgentPersona · object | null

Nested language and accent for the agent. Null when the agent has no language configured.

prompt
string | null

System prompt or instructions given to the agent.

workflow
Workflow · object | null

Agent workflow configuration. Must be valid JSON.

webhook_url
string | null

Destination URL for outbound webhook notifications. Null if not configured.

integration_name
string | null

Name of the voice provider for this agent's integration.

deleted_at
string<date-time> | null

Timestamp when the agent was deleted. Null if the agent is active.

created_by
integer | null

ID of the user who created this agent.

updated_by
integer | null

ID of the user who last updated this agent.

integration
IntegrationWithProvider · object | null

Integration schema with nested provider object.